FilterTranslator (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.spi
Interface FilterTranslator

All Superinterfaces:
  QueryTranslator

All Known Implementing Classes:
  QueryTranslatorImpl, QueryTranslatorImpl

    public interface FilterTranslator

extends QueryTranslator

Specialized interface for filters.

Field Summary

Fields inherited from interface org.hibernate.hql.spi.QueryTranslator
`ERROR_CANNOT_DETERMINE_TYPE, ERROR_CANNOT_FETCH_WITH_ITERATE, ERROR_CANNOT_FORMAT_LITERAL, ERROR_NAMED_PARAMETER_DOES_NOT_APPEAR`

Method Summary
`void` | `compile(String collectionRole, Map replacements, boolean shallow)` Compile a filter.

Methods inherited from interface org.hibernate.hql.spi.QueryTranslator
`collectSqlStrings, compile, containsCollectionFetches, executeUpdate, getColumnNames, getDynamicInstantiationResultType, getEnabledFilters, getParameterTranslations, getQueryIdentifier, getQuerySpaces, getQueryString, getReturnAliases, getReturnTypes, getSQLString, isManipulationStatement, iterate, list, scroll, validateScrollability`

Method Detail

### compile

    void compile(String collectionRole,
                 Map replacements,
                 boolean shallow)
                 throws QueryException,
                        MappingException

  Compile a filter. This method may be called multiple times. Subsequent invocations are no-ops.

  Parameters:
    `collectionRole` - the role name of the collection used as the basis for the filter.
    `replacements` - Defined query substitutions.
    `shallow` - Does this represent a shallow (scalar or entity-id) select?
  Throws:
    `QueryException` - There was a problem parsing the query string.
    `MappingException` - There was a problem querying defined mappings.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.